[augeas-devel] [PATCH] Check that augtool reads all of tests/root/ without error

David Lutterkort dlutter at redhat.com
Fri May 23 17:53:25 UTC 2008


# HG changeset patch
# User David Lutterkort <dlutter at redhat.com>
# Date 1211565167 25200
# Node ID 64c31e849690b8d7b4f3c48fc3dc68c59f767e72
# Parent  319f3f20944a92eb41b4f0ec233f5270ea3a1e94
Check that augtool reads all of tests/root/ without error

diff -r 319f3f20944a -r 64c31e849690 tests/Makefile.am
--- a/tests/Makefile.am	Fri May 23 10:22:56 2008 -0700
+++ b/tests/Makefile.am	Fri May 23 10:52:47 2008 -0700
@@ -5,7 +5,7 @@ valgrind: fatest
 valgrind: fatest
 	libtool --mode=execute valgrind --quiet --leak-check=full ./fatest
 
-check_SCRIPTS=test-lenses.sh test-interpreter.sh
+check_SCRIPTS=test-lenses.sh test-interpreter.sh test-get.sh
 
 EXTRA_DIST=augtest $(AUGTESTS) root \
 	   $(check_SCRIPTS) modules
diff -r 319f3f20944a -r 64c31e849690 tests/test-get.sh
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-get.sh	Fri May 23 10:52:47 2008 -0700
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+# Check that reading the files in tests/root/ with augtool does not lead to
+# any errors
+
+TOPDIR=$(cd $(dirname $0)/.. && pwd)
+[[ -n "$top_builddir" ]] || top_builddir=$TOPDIR
+[[ -n "$top_srcdir" ]] || top_srcdir=$TOPDIR
+
+AUGTOOL=${top_builddir}/src/augtool
+export AUGEAS_LENS_LIB=${top_srcdir}/lenses
+export AUGEAS_ROOT=${top_srcdir}/tests/root
+
+$AUGTOOL print '/augeas/files' | grep -q /error && ret=1 || ret=0
+exit $ret




More information about the augeas-devel mailing list